Git
centos7
VSCode

centos7.4 git を最新にする VScodeのgit 警告

動作環境

centos7.4
vscode 1.24.1
git 1.8.11

VScodeはgitが2系でないとだめと警告がでますのでインストールしました
centosn7.4はgit1.8.xxになるかと思いますが、良いyum(RPM)がないようなので
ソースからmakeインストール・・・ちょっと面倒なので手順を残しておきます 

gitの最新は、このサイトで調べてWgetのurl等を変えてください
https://www.kernel.org/pub/software/scm/git/
今の時点で 2.9.5でした
※しまった!最新は、git-2.17.1.tar.gz ですね・・まあいいか

gitの削除&インストール makeは1つづつ順番に流す

sudo yum remove git 
sudo yum -y install curl-devel expat-devel gettext-devel openssl-devel zlib-devel perl-ExtUtils-MakeMaker
sudo  wget https://www.kernel.org/pub/software/scm/git/git-2.9.5.tar.gz
sudo tar zxvf git-2.9.5.tar.gz && cd git-2.9.5

sudo make prefix=/usr/local all
sudo make prefix=/usr/local install

git --version
=>git version 2.9.5